Eclipse Platform Release 3.7

## org.eclipse.team.ui
Class SaveablePartDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.team.ui.SaveablePartDialog

All Implemented Interfaces:
  IShellProvider

Direct Known Subclasses:
  ParticipantPageDialog

Deprecated. Clients should use a subclass of `CompareEditorInput` and `CompareUI.openCompareDialog(org.eclipse.compare.CompareEditorInput)`

    public class SaveablePartDialog

extends TrayDialog

A dialog that displays a `ISaveableWorkbenchPart` and ensures that changes made to the input are saved when the dialog is closed.

Since:
  3.0
See Also:
  `ISaveableWorkbenchPart`, `SaveablePartAdapter`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`SaveablePartDialog(Shell shell, ISaveableWorkbenchPart input)` Deprecated. Creates a dialog with the given title and input.

Method Summary
`boolean` `close()` Deprecated. Closes this window, disposes its shell, and removes this window from its window manager (if it has one).
`protected void` `configureShell(Shell newShell)` Deprecated. Configures the given shell in preparation for opening this window in it.
`protected void` `createButtonsForButtonBar(Composite parent)` Deprecated. Adds buttons to this dialog's button bar.
`protected Control` `createDialogArea(Composite parent2)` Deprecated. Creates and returns the contents of the upper part of this dialog (above the button bar).
`protected IDialogSettings` `getDialogBoundsSettings()` Deprecated. Gets the dialog settings that should be used for remembering the bounds of of the dialog, according to the dialog bounds strategy.
`protected Point` `getInitialSize()` Deprecated. Returns the initial size to use for the shell.
`protected ISaveableWorkbenchPart` `getInput()` Deprecated. Return the input to the dialog.
`void` `setHelpContextId(String contextId)` Deprecated. Set the help content id of this dialog.

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`closeTray, createButtonBar, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveablePartDialog

    public SaveablePartDialog(Shell shell,
                              ISaveableWorkbenchPart input)

  Deprecated.
  Creates a dialog with the given title and input. The input is not created until the dialog is opened.

  Parameters:
    `shell` - the parent shell or `null` to create a top level shell.
    `input` - the part to show in the dialog.

Method Detail

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

  Deprecated.
  Description copied from class: `Dialog`
  Adds buttons to this dialog's button bar.

  The `Dialog` implementation of this framework method adds standard ok and cancel buttons using the `createButton` framework method. These standard buttons will be accessible from `getCancelButton`, and `getOKButton`. Subclasses may override.

  Overrides:
    `createButtonsForButtonBar` in class `Dialog`
  Parameters:
    `parent` - the button bar composite

### createDialogArea

    protected Control createDialogArea(Composite parent2)

  Deprecated.
  Description copied from class: `Dialog`
  Creates and returns the contents of the upper part of this dialog (above the button bar).

  The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

  The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

  Subclasses must override this method but may call `super` as in the following example:

       Composite composite = (Composite) super.createDialogArea(parent);
       //add controls to composite as necessary
       return composite;

  Overrides:
    `createDialogArea` in class `Dialog`
  Parameters:
    `parent2` - the parent composite to contain the dialog area
  Returns:
    the dialog area control

### close

    public boolean close()

  Deprecated.
  Description copied from class: `Window`
  Closes this window, disposes its shell, and removes this window from its window manager (if it has one).

  This framework method may be extended (`super.close` must be called).

  Note that in order to prevent recursive calls to this method it does not call `Shell#close()`. As a result `ShellListener`s will not receive a `shellClosed` event.

  Overrides:
    `close` in class `TrayDialog`
  Returns:
    `true` if the window is (or was already) closed, and `false` if it is still open
  See Also:
    `Window.close()`

### getInput

    protected ISaveableWorkbenchPart getInput()

  Deprecated.
  Return the input to the dialog.

  Returns:
    the input to the dialog
  Since:
    3.2

### getDialogBoundsSettings

    protected IDialogSettings getDialogBoundsSettings()

  Deprecated.
  Description copied from class: `Dialog`
  Gets the dialog settings that should be used for remembering the bounds of of the dialog, according to the dialog bounds strategy.

  Overrides:
    `getDialogBoundsSettings` in class `Dialog`
  Returns:
    settings the dialog settings used to store the dialog's location and/or size, or `null` if the dialog's bounds should never be stored.
  See Also:
    `Dialog.getDialogBoundsStrategy()`

### setHelpContextId

    public void setHelpContextId(String contextId)

  Deprecated.
  Set the help content id of this dialog.

  Parameters:
    `contextId` - the help context id

### configureShell

    protected void configureShell(Shell newShell)

  Deprecated.
  Description copied from class: `Window`
  Configures the given shell in preparation for opening this window in it.

  The default implementation of this framework method sets the shell's image and gives it a grid layout. Subclasses may extend or reimplement.

  Overrides:
    `configureShell` in class `Window`
  Parameters:
    `newShell` - the shell

### getInitialSize

    protected Point getInitialSize()

  Deprecated.
  Description copied from class: `Dialog`
  Returns the initial size to use for the shell. Overridden to check whether a size has been stored in dialog settings. If a size has been stored, it is returned.

  Overrides:
    `getInitialSize` in class `Dialog`
  Returns:
    the initial size of the shell
  See Also:
    `Dialog.getDialogBoundsSettings()`, `Dialog.getDialogBoundsStrategy()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.